export declare class Button {
    readonly variant: "primary" | "secondary" | "tertiary";
    readonly theme: "default" | "danger" | "inverse";
    readonly size: string;
    readonly disabled: boolean;
    internalHref: string;
    readonly href: string;
    readonly target: string;
    readonly type: "button" | "submit" | "reset";
    readonly fullWidth: boolean;
    readonly ariaLabel: string | null;
    el: HTMLIfxButtonElement;
    private focusableElement;
    private nativeButton;
    setInternalHref(newValue: string): void;
    setFocus(): Promise<void>;
    private insertNativeButton;
    private handleFormAndInternalHref;
    private handleButtonWidth;
    componentWillLoad(): void;
    componentDidLoad(): Promise<void>;
    componentWillRender(): void;
    private handleClick;
    private resetClickHandler;
    handleKeyDown(ev: KeyboardEvent): void;
    handleHostClick(event: Event): void;
    private handleFocus;
    render(): any;
    private getVariantClass;
    private getSizeClass;
    private getClassNames;
}
